### Method

# Adw TabView insert_pinned

#### Declaration [src]

    AdwTabPage*
    adw_tab_view_insert_pinned (
      AdwTabView* self,
      GtkWidget* child,
      int position
    )

#### Description [src]

Inserts a pinned page at `position`.

It’s an error to try to insert a pinned page after a non-pinned page, in that case `adw_tab_view_insert()` should be used instead.

Available since: | 1.0

#### Parameters

`child` | `GtkWidget`
| A widget to add.
| The data is owned by the caller of the function.
`position` | `int`
| The position to add `child` at, starting from 0

#### Return value

Returns: | `AdwTabPage`
| The page object representing `child`.
| The data is owned by the instance.